<?php
/*
Plugin Name: PixoPoint Disable BackupBuddy
Plugin URI: http://pixopoint.com/
Description: Disables BackupBuddy plugins' admin pages for everyone but Super Admins. Useful for use on multisite networks to prevent untrusted users having access to the plugins' settings pages.
Author: PixoPoint
Version: 0.1
Author URI: http://pixopoint.com/
*/

/**
 * Disable BackupBuddy admin pages
 * @since 0.1
 */
function pixopoint_remove_backupbuddy() {
	if ( is_super_admin() )
		return;

	// Adjust filter to disable admin pages in BackupBuddy
	global $wp_filter;
	if ( isset( $wp_filter['admin_menu'] ) && isset( $wp_filter['admin_menu'][10] ) ) {
		foreach( $wp_filter['admin_menu'][10] as $key => $val ) {
			if( isset( $val['function']) && is_array( $val['function'] ) && is_object( $val['function'][0] ) && is_a( $val['function'][0], 'iThemesBackupBuddy' )  ) {
				unset( $wp_filter['admin_menu'][10][$key] );
			}
		}
	}
}
add_action( 'init', 'pixopoint_remove_backupbuddy' );

